// Обьясните своими словами, как вы понимаете, что такое деструктуризация и зачем она нужна
// Деструктуризация нужна для разбивки сложной структуры на части. Т.е. часто нам необходимо вычленить составляющую из объекта или массива
// и соврешить над ней действия. Для это мы можем выделить опр.часть структуры, присвоить её в переменную, изменять под потребности
// задачи.

// ### Задание 1

// Две компании решили объединиться, и для этого им нужно объединить базу данных своих клиентов. 

// У вас есть 2 массива строк, в каждом из них - фамилии клиентов. Создайте на их основе один массив, который будет представлять собой объединение двух массив без повторяющихся фамилий клиентов.


const clients1 = ["Гилберт", "Сальваторе", "Пирс", "Соммерс", "Форбс", "Донован", "Беннет"];
const clients2 = ["Пирс", "Зальцман", "Сальваторе", "Майклсон"];

const allClients = [...clients1, ...clients2];

const allUniqueClients = Array.from(new Set(allClients));

console.log(allUniqueClients);


